# 测试环境部署文档

```sh
# 部署目录 192.168.50.3:/data1/sms_blk/
# 启动命令 
sh run.sh
# 停止命令
sh stop.sh

# 为了保证能开对测试环境的访问，同时添加了在133.96.94.108上的nginx映射到12110端口
# 打包之前需要注意修改验证条件
```

## 接口测试

- 黑名单解除接口

本机访问

```http
POST HTTP://192.168.50.3:12120/sms/blacklist/api/remove/
Content-Type: application/json

{
    "phone": "13739798862",
    "fromSystem": "test",
    "operator": "test01"
}
```

nginx转发

```http
POST HTTP://133.96.94.108:12110/sms/blacklist/api/remove/
Content-Type: application/json

{
    "phone": "13739798862",
    "fromSystem": "test",
    "operator": "test01"
}
```
