# 接口文档中的疑问

1. `C-Octet String 以NULL结束的字符串` 和 `Octet String 无NULL结束` 这里的 C-Octet String 需要如何处理

    解答： 末尾添加\0(0x00)

    补充提问： `AuthCode` 值为共享的认证密码（由垃圾短信监控系统与短信投诉处理系统分别共享）和当前日期经过SHA-1散列后的输出, 这个字段也要求是`20`字节的`C-Octet String`,但是sha1以后就是20字节了,0x00添加在哪儿？

    答案： 补全的意思是从0位开始写入，如果位数不足，在末尾填入0x00

2. `SMIT_ACTIVE_TEST` 时间间隔是多少

    建议15秒

3. 解除黑名单请求定义中 `blk_Num` 如何区分 `点对点和网间用户` 和 `端口用户`

    不需要带86

4. 解除黑名单请求定义中 `blk_type` 如何区分 `主叫黑名单` 和 `被叫黑名单`  河北垃圾短信监控系统向投诉平台同步黑名单号码接口规范 这个规范里提供的字段不包括`主叫黑名单` 和 `被叫黑名单`， 主叫黑名单 是不是不能发短信，被叫黑名单是不是不能收短信？

    仅针对主叫黑名单

5. 解除黑名单请求定义中 `province_code` 我们的权限是否仅包含河北省(14), 这里的省份是号码归属省份还是仅仅是这个号码在河北省的黑名单中？ 举例，一个山西的号码被添加了河北省黑名单，是不是就是这个山西用户在河北省内漫游时无法收发短信？

    与黑名单省份相关，与号码归属地无关，所以漫游用户也可以用。
