# 短信黑名单接口说明文档

## 接口1： 黑名单查询接口

```http
POST HTTP://127.0.0.1:12086/sms/blacklist/api/query/
Content-Type: application/json

{
    "phoneNumber": "13231899751",
    "fromSystem": "test"
}
```

## 接口2： 黑名单解除接口

- 本地访问 18631137650

```http
POST HTTP://127.0.0.1:12120/sms/blacklist/api/remove/
Content-Type: application/json

{
    "phone": "18631137650",
    "fromSystem": "test",
    "operator": "test01"
}
```

- 正式环境

```http
POST HTTP://133.96.94.108:12120/sms/blacklist/api/remove/
Content-Type: application/json

{
    "phone": "13739798862",
    "fromSystem": "test",
    "operator": "test01"
}
```

```json
HTTP/1.1 200 
Content-Type: application/json
Transfer-Encoding: chunked
Date: Mon, 01 Aug 2022 02:18:48 GMT
Connection: close

{
  "success": true,
  "code": 200,
  "message": "成功",
  "data": {
    "delBlkSuccess": true,
    "delBlkMessage": "成功解除黑名单"
  }
}
```

```json
HTTP/1.1 200 
Content-Type: application/json
Transfer-Encoding: chunked
Date: Wed, 03 Aug 2022 01:10:35 GMT
Connection: close

{
  "success": true,
  "code": 200,
  "message": "成功",
  "data": {
    "delBlkSuccess": false,
    "delBlkMessage": "解除黑名单失败"
  }
}

```
